Atk::Implementor Class Reference

`#include <atkmm/implementor.h>`

Inheritance diagram for Atk::Implementor:
[legend]

## Public Member Functions

| Implementor (Implementor && src) noexcept
Implementor & | operator= (Implementor && src) noexcept
| ~Implementor () noexcept override
AtkImplementor * | gobj ()
| Provides access to the underlying C GObject.
const AtkImplementor * | gobj () const
| Provides access to the underlying C GObject.

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions

| Implementor ()
| You should derive from this class to use it.
virtual Glib::RefPtr< Object > | ref_accessibile_vfunc ()

## Related Symbols

(Note that these are not member symbols.)
Glib::RefPtr< Atk::Implementor > | wrap (AtkImplementor * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

## Implementor() [1/2]

Atk::Implementor::Implementor | ( |  | ) |

protected

You should derive from this class to use it.

## Implementor() [2/2]

Atk::Implementor::Implementor | ( | Implementor && | src | ) |

noexcept

## ~Implementor()

Atk::Implementor::~Implementor | ( |  | ) |

override noexcept

## Member Function Documentation

## add_interface()

void Atk::Implementor::add_interface | ( | GType | gtype_implementer | ) |

static

## get_type()

GType Atk::Implementor::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

## gobj() [1/2]

AtkImplementor * Atk::Implementor::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

## gobj() [2/2]

const AtkImplementor * Atk::Implementor::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

## operator=()

Implementor & Atk::Implementor::operator= | ( | Implementor && | src | ) |

noexcept

## ref_accessibile_vfunc()

virtual Glib::RefPtr< Object > Atk::Implementor::ref_accessibile_vfunc | ( |  | ) |

protected virtual

## Friends And Related Symbol Documentation

## wrap()

Glib::RefPtr< Atk::Implementor > wrap | ( | AtkImplementor * | object,
|  | bool | take_copy = false )

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.